Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Mon, 15 Jan 2024 14:49:15 +0000

On Mon, Jan 15, 2024 at 12:36 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Cc: Yuan Fu <[email-masked]>,  [email-masked],
> >   [email-masked]
> > Date: Sun, 14 Jan 2024 23:18:11 +0000
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > >> Now come back to the subject. What we can do now, it seems, is to
> > >> apply this on master and observe what breaks?
> > >
> > > I agree, and Stefan evidently also agrees, since he already installed
> > > this on master, with suitable changes to NEWS and the ELisp reference
> > > manual.
> >
> > I don't see the Stefan M's patch to this bug number in either master or
> > Emacs 29.
>
> Start with commit 4194f9bd870, I think.

That was added back in November and adds in the derived-mode-add-parents
machinery.  Uses said machinery in one place, not related to this
bug report.  So it's not in master yet, and we should continue
evaluating alternatives.

João